Subject: Re: books on knife making?

From: [email-masked] (T Lindsay)
Date: 13 Jul 1995 13:40:11 GMT

One classic text to consider is "Step-by-Step Knifemaking" by David Boyle.
 7 1/2 x 9 softcover 270 pp heavily illustrated, in print for many years 
now. I still offer it at $14.95. If you're interested, send me your 
address via e-mail, and we'll send a catalog. Lindsay (as in Lindsay 
Publications Inc)